import { ScaleModel } from './ScaleModel';
export declare class LinearScaleModel extends ScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        min: any;
        max: any;
        min_range: number;
        mid_range: number;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
        _view_count: number;
    };
    typedRange(values: any): Float64Array;
    set_init_state(): void;
    set_listeners(): void;
    min_max_changed(): void;
    reverse_changed(model: any, value: any, options: any): void;
    update_domain(): void;
    compute_and_set_domain(data_array: any, id: any): void;
    type: string;
    min: number | Date;
    max: number | Date;
    min_from_data: boolean;
    max_from_data: boolean;
    global_min: number | Date;
    global_max: number | Date;
}
